WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] WordPress 2.8 plugin solutions (6 posts)

  1. dja360
    Member
    Posted 4 years ago #

    Hi,

    Thought I might post this for anyone getting this error message for certain plugins after upgrading to WordPress 2.8:

    “The plugin does not have a valid header.”

    I had the same problem with two plugins I was using - wbQuiz and Random Posts Widget.

    By moving the main php file out of a subfolder and placing it in the main plugin root folder the problems sorted itself out and the plugins worked.

    E.g. For the wbQuiz plugin

    The wb_quiz.php and wb_quiz_question.php files were located within the "plugin" folder off the main root folder i.e.

    wp-content/plugins/wbQuiz/plugins/wb_quiz.php
    wp-content/plugins/wbQuiz/plugins/wb_quiz_questions.php

    By moving these files out of the plugins folder and into the root folder (along with any other tests the user may have created and placed in the plugins folder) the problems in WordPress 2.8 is rectified

    i.e it should be structured like this

    wp-content/plugins/wbQuiz/wb_quiz.php
    wp-content/plugins/wbQuiz/wb_quiz_questions.php

    I found the same thing with the Related Posts Widget plugin. The related-posts.php file was originally located in a subfolder off the main plugin root folder i.e.

    wp-content/plugins/related-posts/related-posts/related-posts.php

    By moving the php file up one level to:

    wp-content/plugins/related-posts/related-posts.php

    the plugin worked perfectly and no error messages.

    Not sure if this will work for everyone else who is getting the “The plugin does not have a valid header.” message but worth a go.

  2. kalooz
    Member
    Posted 4 years ago #

    I am getting this same message with phpBB and United. I checked the files and they are not set up as stated above, so the fix is not applicable. Does anyone else have any solutions?

  3. Showfom
    Member
    Posted 4 years ago #

  4. globalmacroblog
    Member
    Posted 4 years ago #

    Hi, I am sorry, but I am new to WP, how do you "move these files out of the plugins folder and into the root folder" ? I have no WP folders on my Mac, and I can't find any directory under http://www.globalmacroblog.com/wp-admin/

    Any help would be great as I am unable to install any plugins at all - I get the same message. Do you know if this will ever get fixed, it seems people have had problems for months now.

  5. umeshnmenon
    Member
    Posted 4 years ago #

    If you are creating a new plugin make sure that you have this in your main plugin file.

    <?php
    /*
    Plugin Name: Name Of The Plugin
    Plugin URI: http://URI_Of_Page_Describing_Plugin_and_Updates
    Description: A brief description of the Plugin.
    Version: The Plugin's Version Number, e.g.: 1.0
    Author: Name Of The Plugin Author
    Author URI: http://URI_Of_The_Plugin_Author
    */
    ?>

    http://codex.wordpress.org/Writing_a_Plugin

  6. noski2009
    Member
    Posted 4 years ago #

    Nice one! thanks.

Topic Closed

This topic has been closed to new replies.

About this Topic